<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
?>
<script>
var uniqid_global="";
var intervalo;
var valorProgressBar=0;
$j_6('#progressbar').progressbar({
    value: 0
});

  
function preparaZIP(pagina_a,rownum,nombreZIP) {
	$j_6.post("formularios/extras/preparaZIP.php", {
        pagina_actual: pagina_a,
        noregistros: rownum,
		nombreZIP: nombreZIP
    },function(data){
		
		if(data.indexOf("ZipArchive") != -1){
			$j_6.messager.alert("Error","Ocurrio un error al preparar la descarga, error: <br/>"+data,"error");
			return false;
		}
		//alert(data);
		//$j_6("#result_prepara").html(data);
		var num_paginas = getNumPages();
		
		var x = (100/num_paginas);
		var y = pagina_a * x;
	
		if(y >= 100) y=100;
		
		$j_6('#progressbar').progressbar('setValue', parseInt(y));
		valorProgressBar = parseInt(y);
		
		pagina_a++;
		
		if(pagina_a <= num_paginas){
			preparaZIP(pagina_a,getRowNum(),data);
		}else{
				uniqid_global = data;
				descargaArchivoZIP();
		}
    });
}

function iniciaDescargaZip(){
	if(valorProgressBar == 100 || valorProgressBar == 0){
		$j_6('#progressbar').progressbar('setValue', 0);
		if(getTotalRecords()){
			preparaZIP(1,getRowNum(),"");
		}
	}else{
		alert("Espere a que termine el proceso al 100%");
	}
}

function descargaArchivoZIP(){
	if(uniqid_global != "")
		window.open('formularios/extras/zip/'+uniqid_global,'_blank');
	else
		alert("Espere a que termine el proceso al 100% o no se encontraron archivos.");
}

function eliminaZIP(){
	$j_6.post("formularios/extras/eliminaZip.php",{},function(data){
		if(data=="TRUE"){
			clearInterval(intervalo);
		}else{
			setTimeout(eliminaZIP(),1000);
		}
	});
}

iniciaDescargaZip();
eliminaZIP();
</script>

<table>
<tr>
<td><div id="progressbar" class="easyui-progressbar" style="width:300px;"></div></td>
<td><img id="zip" src="Imagenes/zip.png" width="24" height="24" onclick="descargaArchivoZIP();"/></div></td>
</tr>
</table>

<div id="result_prepara"></div>
